summaryrefslogtreecommitdiffstats
path: root/source/ap/slackpkg/slackpkg.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap/slackpkg/slackpkg.SlackBuild')
-rwxr-xr-xsource/ap/slackpkg/slackpkg.SlackBuild8
1 files changed, 6 insertions, 2 deletions
diff --git a/source/ap/slackpkg/slackpkg.SlackBuild b/source/ap/slackpkg/slackpkg.SlackBuild
index db3774348..788600a72 100755
--- a/source/ap/slackpkg/slackpkg.SlackBuild
+++ b/source/ap/slackpkg/slackpkg.SlackBuild
@@ -25,7 +25,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=slackpkg
VERSION=${VERSION:-15.0}
ARCH="noarch"
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
# the name of the created package would be, and then exit. This information
@@ -113,10 +113,14 @@ chmod 644 $PKG/usr/doc/slackpkg-$VERSION/*
mkdir -pv $PKG/var/lib/slackpkg
mkdir -pv $PKG/var/cache/packages
+# Allow new-config after slackpkg upgrade itself:
+( cd $PKG/usr/libexec/slackpkg
+ cat $CWD/0001-Allow-new-config-after-slackpkg-upgrade-itself.patch | patch -p2 --verbose || exit 1
+) || exit 1
+
mkdir -p $PKG/install
cat $CWD/doinst.sh | sed -e "s/@VERSION@/$VERSION/g" > $PKG/install/doinst.sh
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
-